
TYPO3 Flow Base Distribution - Bug # 45413

Status: Under Review Priority: Should have
Author: Rens Admiraal Category:
Created: 2013-02-12 Assigned To: Rens Admiraal
Updated: 2013-12-10 Due date:
Affected Flow version: Git master
Subject: Overriding boolean properties using Objects.yaml is broken
Description

When a boolean property is overriden like for example:

TYPO3\Flow\Mvc\Routing\UriBuilder:
  properties:
    linkProtectionEnabled:
      value: FALSE

the generated code is incorrect. The TRUE value becomes a call like:

$this->setLinkProtectionEnabled(1);

and the FALSE value becomes:

$this->setLinkProtectionEnabled();

The 1 being used as TRUE will still work in PHP of course, the FALSE value will break if the argument is required.

Associated revisions
Revision 206c7371 - 2013-02-13 09:46 - Rens Admiraal

[BUGFIX] Correctly handle boolean values with property injection

This change fixes a bug in the property injection where an empty string
or 1 are used for representing a boolean value. This change forces the
value to be TRUE or FALSE when the value configured in Objects.yaml
is a boolean value.

Change-Id: I3ea2da3c3f00f441056fa41de9b208d159cfc520
Resolves: #45413
Releases: master, 2.0, 1.1

Revision 4f67ebe4 - 2013-03-20 10:32 - Rens Admiraal

[BUGFIX] Correctly handle boolean values with property injection

This change fixes a bug in the property injection where an empty string
or 1 are used for representing a boolean value. This change forces the
value to be TRUE or FALSE when the value configured in Objects.yaml
is a boolean value.

Change-Id: I3ea2da3c3f00f441056fa41de9b208d159cfc520
Resolves: #45413
Releases: master, 2.0, 1.1

History
#1 - 2013-02-12 17:13 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18221

#2 - 2013-02-12 18:01 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18221

#3 - 2013-02-12 18:05 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18221

#4 - 2013-02-13 10:37 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18221

#5 - 2013-02-13 12:37 - Rens Admiraal
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:206c7371dac8d67fec6180a24098cff6cbf42f4f.

#6 - 2013-03-20 10:34 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19073

#7 - 2013-03-20 11:36 - Rens Admiraal
- Status changed from Under Review to Resolved
Applied in changeset commit:4f67ebe472a176676b2e6dd7741db77441c7224a.

#8 - 2013-06-24 18:18 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at https://review.typo3.org/21643

#9 - 2013-12-10 13:26 - Gerrit Code Review

Patch set 2 for branch FLOW3-1.1 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/21643
